package ru.csasq.cit_is_bot.ui.screens

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.PaddingValues
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.rememberScrollState
import androidx.compose.foundation.verticalScroll
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import ru.csasq.cit_is_bot.ui.components.SwitchButton

@Composable
fun DashboardScreen(
    navController: NavController,
    paddingValues: PaddingValues,
) {
    Column(
        modifier = Modifier
            .padding(
                paddingValues = paddingValues,
            )
            .fillMaxSize()
            .verticalScroll(
                state = rememberScrollState(),
            ),
    ) {
        Text (
            text = "Здесь будет статистика",
            modifier = Modifier
                .padding(
                    horizontal = 16.dp,
                )
        )
    }
}